"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libcomp' }"

ParseNode subclass:#BreakpointNode
	instanceVariableNames:'breakpoint expression'
	classVariableNames:''
	poolDictionaries:''
	category:'System-Compiler-Debugging'
!

!BreakpointNode class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!BreakpointNode methodsFor:'accessing'!

breakpoint
    ^ breakpoint
!

breakpoint:something
    breakpoint := something.
!

expression
    ^ expression
!

expression:something
    expression := something.
! !

!BreakpointNode methodsFor:'code generation'!

codeOn:aStream inBlock:codeBlock for:aCompiler

    (MessageNode
        receiver: (ConstantNode value: breakpoint)
        selector: #break)
        codeForSideEffectOn:aStream inBlock:codeBlock for:aCompiler.

    ^expression
        codeOn:aStream inBlock:codeBlock for:aCompiler

    "Created: / 16-06-2011 / 15:17:09 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BreakpointNode class methodsFor:'documentation'!

version_CVS
    ^ '$Header: /cvs/stx/stx/libcomp/BreakpointNode.st,v 1.1 2011-06-28 20:19:40 vrany Exp $'
!

version_SVN
    ^ ' Id '
! !
